HomesUserDatabase (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: HomesUserDatabase

# Class HomesUserDatabase

java.lang.Object
org.apache.catalina.startup.HomesUserDatabase

All Implemented Interfaces:
  `UserDatabase`

public final class HomesUserDatabase extends Object implements UserDatabase
Concrete implementation of the `UserDatabase` interface considers all directories in a directory whose pathname is specified to our constructor to be "home" directories for those users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HomesUserDatabase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHome(String user)`
  `UserConfig`
  `getUserConfig()`
  `Enumeration<String>`
  `getUsers()`
  `void`
  `setUserConfig(UserConfig userConfig)`
  Set the UserConfig listener with which we are associated.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HomesUserDatabase

    public HomesUserDatabase()

- ## Method Details

  - ### getUserConfig

    public UserConfig getUserConfig()
    Specified by:
      `getUserConfig` in interface `UserDatabase`
    Returns:
      the UserConfig listener with which we are associated.

  - ### setUserConfig

    public void setUserConfig(UserConfig userConfig)
    Description copied from interface: `UserDatabase`
    Set the UserConfig listener with which we are associated.
    Specified by:
      `setUserConfig` in interface `UserDatabase`
    Parameters:
      `userConfig` - The new UserConfig listener

  - ### getHome

    public String getHome(String user)
    Specified by:
      `getHome` in interface `UserDatabase`
    Parameters:
      `user` - User for which a home directory should be retrieved
    Returns:
      an absolute pathname to the home directory for the specified user.

  - ### getUsers

    public Enumeration<String> getUsers()
    Specified by:
      `getUsers` in interface `UserDatabase`
    Returns:
      an enumeration of the usernames defined on this server.